
body {
    height: 100%;
    margin: 0px;
    font-family: 'Arial';
}

#dotsBackground {
    background-color: #E7E9EB;
    width: 100%;
    height: auto;
    z-index: 0;
    position: absolute;
    margin-top: 0px;
    margin-left: 0px;
    background-image: url("/frontend/assets/background_dots.png");
}

#navbar {
    width: 100%;
    height: 70px;
    position: fixed;
    float: left;
    left: 0px;
    top: 0px;
    background-color: #2a3b46;
    z-index: 10;
    border-bottom: solid;
    border-color: white;
    border-width: 2px;
}

#eosrisk_logo {
    float: left;
    width: 280px;
    height: 40px;
    margin-top: 13px;
    margin-left: 71px;
    background-color: #2a3b46;
    background-image: url("/frontend/assets/eosrisk_logo.jpg");
    background-repeat: no-repeat;
    background-size: 100%;
    cursor: pointer;
}

#introText_container {
    border: none;
    width: 100%;
    height: 168px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 70px;
    border-radius: 5px;
    border-color: black;
    border-width: 1.5px;
    background-color: white;
}

.page_container {
    width: 100%;
    height: 430px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 100px;
    border-radius: 5px;
    border-color: black;
    border-width: 1.5px;
    background-color: white;
}


#password_reset_box {
    width: 230px;
    height: 240px;
    border:solid;
    border-width: 1.5px;
    border-color: black;
    border-radius: 5px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 20px;
    padding-top: 15px;
    padding-left: 40px;
}


.admin_input {
    width: 180px;
    height: 18px;
    margin-bottom: 5px;
    border-color: black;
    border: solid;
    border-width: 1px;
    border-radius: 2px;

}

.introText_seperator {
    border: solid;
    border-width: 1px;
    border-color: white;
}

.introText_box {
    border: solid;
    border-width: 1px;
    border-color: white;
    height: 40px;
}

#introText_title {
    margin-top: 15px;
}

#introText_demo {
    margin-top: 10px;
}

#introText_contact {
    margin-top: -5px;
}

#introText_titleText {
    font-size: 32px;
    text-align: center;
    margin-top: 8px;
    font-family: 'Roboto', sans-serif;
}

#introText_demoText {
    font-size: 15px;
    text-align: center;
    font-family: 'Roboto', sans-serif;
}

#introText_contactText {
    font-size: 15px;
    text-align: center;
    font-family: 'Roboto', sans-serif;
}

#login_outerBox {
    border: solid;
    width: 500px;
    height: 280px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0px;
    background-color: #f2f2f2;
    border-radius: 5px;
    border-color: black;
    border-width: 1px;
}

#login_innerBox {
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
    width: 380px;
    height: 200px;
}

.login_seperator {
    border: none;
    border-width: 1px;
    width: 100%;
}

#login_titleBox {
    height: 40px;
}

#login_usernameBox {
    height: 50px;
}

#login_passwordBox {
    height: 50px;
    display:inline-block;
    position: relative;
}

#login_forgotBox {
    height: 20px;
}

#login_submitBox {
    height: 50px;
}

#login_title {
    font-size: 24px;
    text-align: center;
    margin-top: 0px;
    font-family: 'Roboto', sans-serif;
}

.login_credentials {
    display: inline-block;
    font-family: 'Roboto', sans-serif;
}

#login_usernameInput {
    margin-left: 2px;
    width: 280px;
}

#login_passwordInput {
    margin-left: 5.7px;
    padding-right: 92px;
}

.login_inputTextbox {
    border: solid;
    border-color: black;
    height: 30px;
    width: 190px;
    font-size: 18px;
    outline: none;
    border-radius: 5px;
    border-width: 1px;
    margin-top: 5px;
    margin-bottom: 5px;
    float: right;
    margin-right: 4px;
}

.login_inputTextbox:hover {
    cursor: text;
    outline: none;
}

#login_error {
    display: none;
    color: red;
    font-size: 13px;
    text-align: center;
    float: right;
    margin-top: 3px;
    margin-right: 4px;
    font-family: 'Roboto', sans-serif;
}

#login_showButton {
    position: absolute;
    width: 70px;
    height: 20px;
    right: 12px;
    top: 12px;
    cursor: pointer;
}

#login_showButtonText {
    margin-top: 0px;
    font-family: 'Roboto', sans-serif;
}

#login_forgotPassword {
    position:absolute;
    margin-top: 3px;
    float: left;
    text-decoration: underline;
    color: blue;
    font-size: 13px;
    font-family: 'Roboto', sans-serif;
}

#login_forgotPassword:hover {
    cursor: pointer;
}

.login_submitButton {
    border: solid;
    border-width: 1px;
    border-radius: 5px;
    font-size: 16px;
    width: 120px;
    height: 36px;
    background-color: #e1e2e3;
    margin-top: 10px;
    margin-left: 120px;
    position: absolute;
    font-family: 'Roboto', sans-serif;
}

.login_submitButton:hover {
    background-color: #b9bbbd;
    cursor: pointer;
}


#contactText {
    text-align: center;
    padding-top: 30px;
    font-size: 20px;
}

#resetTitle {
    text-align: center;
    font-size: 25px;
    text-overflow: hidden;
    margin-top: 10px;
    margin-bottom: 10px;
}


#contactMessage {
    text-align: center;
    font-size: 14px;
}

#tab_bar {
    border: none;
    border-width: 2px;
    border-color: red;
    width: 100vw;
    position: fixed;
    height: 30px;
    margin-top: 72px;
    background-color: black;
}

.tab_nav {
    width: 12.5%;
    height: 100%;
    border-radius: 0px;
    border: solid;
    border-width: 1px;
    border-color: black;
    border-bottom-width: 1.5px;
    cursor: pointer;
    white-space: nowrap;
}


#tab_1_button {
    background-color: #f0ecec;
}

#tab_1_button:hover {
    background-color: #d8d4d4;
}

.HoverClass1:hover {background-color: #d8d4d4 !important;}
.HoverClass2:hover {color: red !important; background-color: yellow !important;}


/*#tab_1 {
    display: none;
}

#tab_2 {
    display: none;
}

#tab_3 {
    display: none;
}

#tab_4 {
    display: none;
    height: 600px;
}

#tab_5 {
    display: none;
}

#tab_6 {
    display: none;
}

#tab_7 {
    display: none;
}

#tab_8 {
    display: none;
}*/


#add_company_box {
    width: 230px;
    height: 150px;
}

#add_user_box {
    width: 230px;
    height: 240px;
}

#change_password_box {
    width: 230px;
    height: 200px;
}

#edit_user_box {
    width: 230px;
    height: 200px;
}

#disable_user_box {
    width: 230px;
    height: 150px;
}

#delete_user_box {
    width: 230px;
    height: 150px;
}

#delete_company_box {
    width: 230px;
    height: 150px;
}

#imo_input {
    width: 215px;
    margin-left: 7px;
    margin-right: 0px;
}

.para_line {
    display: inline-block;
     margin-top: 0px;
     margin-bottom: 6px;
     font-size: 14px;
}

.subtract_button {
    width: 18px;
    height: 18px;
    margin-left: 0px;
    left: 0px;
    cursor: pointer;
    background-color: #ff383f;
    border: solid;
    border-width: 1.5px;
    border-radius: 5px;
}



#polygon_coord_box {
    width: 100%;
    height: 200px;
    margin-left: -10px;
    overflow-y: scroll;
    border-top: solid;
    border-bottom: solid;
    border-width: 1px;
    padding-left: 10px;
    padding-top: 10px;
    padding-bottom: 5px;
    margin-top: 8px;
}